---
description: Downgrade your Docker subscription
keywords: Docker Hub, downgrade, subscription, Pro, Team, Free, pricing plan,
title: Downgrade your subscription
redirect_from:
- /docker-hub/cancel-downgrade/
- /docker-hub/billing/downgrade/
---

You can downgrade your Docker subscription anytime. When you downgrade your subscription, changes are applied at the end of your billing cycle.

For example, if you are currently on a **Docker Team** subscription which is billed on the 8th of every month and you choose to downgrade to **Docker Personal** on the 15th, your plan will be active until 7th of the following month. You will be transferred to Docker Personal on the 8th of the following month.

The following sections contain instructions on how to downgrade from a paid subscription to a Docker Personal tier.

## Downgrade from Docker Pro to Docker Personal

>**Note:**
>
> - It is not possible to offer prorated refunds when you downgrade an annual subscription that’s already paid for and is still active. After you have downgraded, you can choose to reinstate your annual subscription if it hasn't expired.
> - Before you downgrade to Docker Personal, ensure that your account details are updated to reflect features available in Docker Personal. For example, you may need to convert any private repositories to public repositories. For information on what’s included in the Docker Personal, see [Docker Pricing](https://www.docker.com/pricing){: target="_blank" rel="noopener" class="_"}.
{: .important }

To downgrade from a Docker Pro to Docker Personal:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing**. The **Billing Details** page displays billing information about your existing user account.

3. Ensure you have selected your personal account on the left side of the **Billing Details** page.

4. Click **Change plan** to downgrade your existing subscription.

5. On the **Change Plan** page, review the information displayed in the **Free** section and click **Downgrade**.

6. When prompted, review the warning displayed about downgrading your account and click **Continue with Downgrade**.

7. If your account meets the requirements of Docker Personal, the **Downgrade confirmation** screen will be displayed. Click **continue**.

8. We’d like to understand the reason for your downgrade. Select a reason for your downgrade from the list. Optionally, add a comment and select the checkbox to discuss your feedback with a member of the Docker team. Click **Send**.

9. The **Billing** page displays a confirmation of the downgrade with details on when the downgrade changes will take effect.

10. To cancel the downgrade, click **Cancel the downgrade**.

## Downgrade from Docker Team to Docker Free Team

>**Note:**
>
> - It is not possible to offer prorated refunds when you downgrade an annual subscription that’s already paid for and is still active. After you have downgraded, you can choose to reinstate your annual subscription if it hasn't expired.
> - Before you downgrade to a Free Team, you must convert all private repositories to public repositories and update the organization details to reflect features available in the Free Team. For example, you may need to reduce the number of team members. For information on what’s included in the Free Team, see [Docker Pricing](https://www.docker.com/pricing){: target="_blank" rel="noopener" class="_"}.
{: .important }

To downgrade to a Docker Free Team from Docker Team:

1. Log into an owner account for the organization in [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"}.

2. Navigate to **Organizations** from the menu at the top of the page, then choose your organization.

3. Select the **Billing** tab.

4. Click **Change plan** to downgrade your existing plan.

5. On the **Change organization** page, review the information displayed in the **Free Team** section and click **Downgrade**.

6. When prompted, review the warning displayed about downgrading your account and click **Continue with Downgrade**.

7. If your account meets the requirements of a Free Team plan, the **Downgrade confirmation** screen will be displayed. Click **continue**.

8. We’d like to understand the reason for your downgrade. Select a reason for your downgrade from the list. Optionally, add a comment and select the checkbox to discuss your feedback with a member of the Docker team. Click **Send**.

9. The **Billing** page displays a confirmation of the downgrade with details on when the downgrade changes will take effect.

10. To cancel the downgrade, click **Cancel the downgrade**.
