---
description: Upgrading your Docker subscription
keywords: Docker Hub, upgrade, subscription, Pro, Team, business, pricing plan,
title: Upgrade your subscription
redirect_from:
- /docker-hub/upgrade/
- /docker-hub/billing/upgrade/
---

This page contains information on how to purchase a Docker paid subscription. It also contains information on how to upgrade your existing subscription and update your billing information. 

You can upgrade to a Docker Pro, Team, or a Business subscription from a Personal subscription. When you upgrade to a paid subscription, you can immediately use all the features and entitlements offered in your new subscription. For detailed information on features available in each subscription, see [Docker Pricing](https://www.docker.com/pricing){: target="_blank" rel="noopener" class="_"}.

## Purchase Docker Pro

The following section contains information on how to purchase a Docker Pro subscription for new customers.

To purchase Docker Pro:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing** to go to the **Billing Details** page. This page displays billing information about your existing user account.

3. Ensure you have selected your personal account on the left side of the **Billing Details** page.

4. Click **Change plan**.

5. The Docker Hub **Pricing** page displays information about the new subscription. Review the subscription details in the **Pro** section and click **Upgrade Now**.

5. The **Payment Method** page displays the cost for the annual subscription by default. If you prefer to opt for the monthly subscription, choose **Pay Monthly**.

6. Enter the card details and click **Purchase**.

7. Verify your email address.

8. Open the drop-down menu next to your username in the top-right corner and select **Billing**.

    The **Billing** page displays information about your new subscription and the total cost.
    
## Purchase Docker Team

The following section contains information on how to purchase a Docker Team subscription for new organizations. If you do not have a team yet, see [create a team](../docker-hub/orgs.md#create-a-team) for instructions on how to create a new team.

To purchase Docker Team:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Click **Organizations** in the toolbar and select your organization.

3. Click the **Billing** tab and click **Change plan**.
     The Docker Hub **Pricing** page displays information about the new subscription.

4. Review the subscription details in the **Team** section and click **Buy Now**.

5. Enter a name for your new organization and add a company name.

6. The **Organization size** page displays the cost for the annual subscription by default. If you prefer to change this, select **Pay Monthly**.

7. Specify the number of users you’d like to add to your organization and click **Continue to Payment**.

8. On the **Payment Method** page, enter the card details and click **Purchase**.

9. Verify your email address.

10. Navigate to Organizations from the menu at the top of the page, choose your organization, and select **Billing**. The Billing tab displays information about your new Docker Team subscription and the total cost.

## Purchase Docker Business

The Docker Business subscription is currently available to purchase through the Docker Sales team. To purchase a Docker Business subscription, [Contact Sales](https://www.docker.com/pricing/contact-sales){: target="_blank" rel="noopener" class="_" id="dkr_docs_subscription_btl"}.

## Upgrade to Docker Pro

To upgrade to Docker Pro:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing**. The **Billing Details** page displays billing information about your existing user account.

3. Ensure you have selected your personal account on the left side of the **Billing Details** page.

    ![Billing details personal account](images/billing-personal-account.png){:width="750px"}

4. Click **Change plan** to choose a new subscription.

5. Review the details in the **Pro** section and click **Buy Now**.

6. By default, the **Payment Method** page displays the annual cost to upgrade to Docker Pro. If you prefer to upgrade to a monthly subscription, choose **pay monthly**.

7. Review the card details and the information displayed and click **Purchase** to confirm.

    The **Billing** page now displays a confirmation of the upgrade with an invoice containing details about your new subscription, entitlements, and the total cost.

8. You’ll also receive an email confirming the cancellation of your legacy subscription.

## Upgrade to Docker Team

To upgrade to Docker Team subscription:

1. Log into an owner account for the organization in [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"}.

2. Navigate to **Organizations** from the menu at the top of the page, then choose your organization.

3. Select the **Billing** tab.

4. Click **Change plan** to upgrade to a new subscription.

5. Review the details in the **Team** section and click **Buy Now**.

6. By default, the subscription displays the annual cost to upgrade the existing number of users to a Docker Team subscription. To switch to a monthly subscription, click **Pay Monthly**.

7. Review and adjust the number of users as required and click **Continue to payment**.

8. Review the card details and click **Purchase** to confirm.

    The **Billing page** now displays a confirmation of the upgrade with an invoice containing details about your new subscription, entitlements, and the total cost.

    You’ll also receive an email confirming the cancellation of your legacy subscription.

## Upgrade to Docker Business

To upgrade to a Docker Business subscription, [Contact Sales](https://www.docker.com/pricing/contact-sales){: target="_blank" rel="noopener" class="_" id="dkr_docs_subscription_btl"}.

## Upgrade from a monthly Team to an annual subscription

To upgrade from a monthly Team subscription to an annual Team subscription:

1. Log into an owner account for the organization in [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"}.
2. Navigate to **Organizations** from the menu at the top of the page, choose your organization, and select the **Billing** tab.
3. Click **switch to annual billing**.
4. Review the information displayed on the **Change to an Annual subscription** page and click **Accept Terms and Purchase** to confirm.

    The Billing page now displays a confirmation of the upgrade with an invoice containing details about your new subscription, entitlements, and the total cost.

## Upgrade from a monthly Pro to an annual subscription

To upgrade from a monthly Pro subscription to an annual Pro subscription:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.
2. Open the drop-down menu next to your username in the top-right corner and select **Billing** to go to the **Billing Details** page. This page displays billing information about your existing user account.
3. Ensure you have selected your personal account on the left side of the **Billing Details** page.
4. Click **switch to annual billing**.
5. Review the information displayed on the **Change to an Annual subscription** page and click **Accept Terms and Purchase** to confirm.

    The Billing page now displays a confirmation of the upgrade with an invoice containing details about your new subscription, entitlements, and the total cost.

## Update billing information

> **Note**
>
> You must be on owner of the organization to make changes to the billing information.

To update the billing information for your organization:

1. Log into an owner account for the organization in [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"}.

2. Select **Organizations** from the menu at the top of the page. This displays a list of organizations.

3. Choose the organization from the list and select the **Billing** tab.

4. Select **Payment Methods**.

5. The **Payment Information** page displays your existing billing information and allows you to edit the details.

    > **Note**
    >
    > The details displayed in the **Contact Information** section is used to generate your invoice. All billing-related information is sent to the email address listed in this section.

6. Change the details as required and then click **Update** to save your changes.

To update the billing information for your user account:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing**. The Billing page displays billing information about your existing user account.

3. Select **Payment Methods**.

4. The **Payment Information** page displays your existing billing information and allows you to edit the details.

5. Click **Update** to save your changes.
